## gjh-asl-json 0.0%2Bgit20180428.eb8720e

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk
# this provides:
# DEB_SOURCE: the source package name
# DEB_VERSION: the full version of the package (epoch + upstream vers. + revision)
# DEB_VERSION_EPOCH_UPSTREAM: the package's version without the Debian revision
# DEB_VERSION_UPSTREAM_REVISION: the package's version without the Debian epoch
# DEB_VERSION_UPSTREAM: the package's upstream version
# DEB_DISTRIBUTION: the distribution(s) listed in the current entry of debian/changelog
# SOURCE_DATE_EPOCH: the source release date as seconds since the epoch, as
#                    specified by <https://reproducible-builds.org/specs/source-date-epoch/>

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

### If you **really** can not use uscan (even not with mode=git) use a debian/get-orig-script
#get-orig-source:
#	. debian/get-orig-source

#override_dh_dwz:
#	echo "dh_dwz fails - no idea how to fix"

=== debian/watch ===
version=4

opts="mode=git,pretty=0.0+git%cd.%h" \
    https://github.com/ghackebeil/gjh_asl_json.git HEAD

# Upstream has no release tags
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#https://github.com/ghackebeil/gjh_asl_json/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## gjh-asl-json 0.0%2Bgit20210628.867c5da

=== debian/changelog ===
gjh-asl-json (0.0+git20210628.867c5da-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 18:21:03 +0100

gjh-asl-json (0.0+git20180428.eb8720e-3) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 18:20:38 +0100

gjh-asl-json (0.0+git20180428.eb8720e-2) unstable; urgency=medium

  * Team upload.
  * Do not hardcode x86_64-linux-gnu
    Closes: #972960
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 17:59:23 +0100

gjh-asl-json (0.0+git20180428.eb8720e-1) unstable; urgency=medium

  * Initial release (Closes: #972264)

 -- Andrei Rozanski <rozanski.andrei@gmail.com>  Fri, 04 Sep 2020 14:07:30 +0200

## gjh-asl-json 0.0+git20180428.eb8720e

=== Makefile ===
SRC=src
TPL=Thirdparty

PREFIX=.
BIN=$(PREFIX)/bin

# Override this to inject gcov flags "-coverage -O0"
# in travis CI script. E.g., $ make COVERAGE="-coverage -O0"
COVERAGE=-O3

CINC=-I$(SRC) -I$(TPL)/solvers
CFLAGS= -pipe -DASL_BUILD -fPIC -DPIC -Wall
LDFLAGS=-ldl

all: 	$(TPL)/solvers/amplsolver.a \
	$(BIN)/gjh_asl_json

$(BIN)/gjh_asl_json: $(SRC)/gjh_asl_json.o \
	             $(SRC)/AmplInterface.o \
		     $(TPL)/solvers/amplsolver.a
	@mkdir -p $(BIN)
	$(CXX) $(COVERAGE) $(CFLAGS) $(CINC) $^ $(LDFLAGS) -o $@

%.o : %.cpp $(SRC)/AmplInterface.hpp
	$(CXX) $(COVERAGE) $(CFLAGS) $(CINC) -c $< -o $@

$(TPL)/solvers/amplsolver.a :
	make -C $(TPL)/solvers/;

clean:
	rm -f $(BIN)/gjh_asl_json;
	rm -f $(SRC)/*.o
	rm -f $(SRC)/*~
	make clean -C $(TPL)/solvers;

=== debian/control ===
Source: gjh-asl-json
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andrei Rozanski <rozanski.andrei@gmail.com>
Build-Depends: debhelper-compat (= 13),
                libamplsolver-dev
Standards-Version: 4.5.0
Homepage: https://github.com/ghackebeil/gjh_asl_json
Vcs-Browser: https://salsa.debian.org/med-team/gjh-asl-json
Vcs-Git: https://salsa.debian.org/med-team/gjh-asl-json.git
Rules-Requires-Root: no

Package: gjh-asl-json
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gjh solver, like solver from AMPL Library
 A simple tool providing similar functionality
 to that of the gjh "solver" distributed  with
 the AMPL Solver Library.
 .
 NLP information is summarized in a JSON-formatted
 output file.

## gjh-asl-json 0.0+git20210628.867c5da

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Andrei Rozanski <rozanski.andrei@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                 libamplsolver-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/ghackebeil/gjh_asl_json
 Vcs-Browser: https://salsa.debian.org/med-team/gjh-asl-json
 Vcs-Git: https://salsa.debian.org/med-team/gjh-asl-json.git

=== debian/watch ===
version=4

opts="mode=git,pretty=0.0+git%cd.%h" \
    https://github.com/ghackebeil/gjh_asl_json.git HEAD

# Upstream has no release tags
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#https://github.com/ghackebeil/gjh_asl_json/releases .*/v?@ANY_VERSION@\.tar\.gz
